@echo off
cls

REM ___________________________________
REM HACTPOuKA CEPBEPA
REM ___________________________________

REM /7oPT gJI9 CEPBEPA -
SET PORT=27015

REM Max KOJIJI-BO 4EJIOBEK HA CEPBEPE  -
SET MAXPLAYERS=22

REM CTAPTOBA9 KAPTA -
SET MAP=de_dust2

REM ___________________________________

echo Анти крах система, защищает ваш севрер от падения или закрытия
echo Сервер скачан с (cs-strikez.narod.ru)Public Server by cs-strikez
title Cs-strikez.narod.ru
:hlds
COLOR 0a
echo (%time%) hlds запустился
START /HIGH /wait hlds.exe -game cstrike -console -insecure -noipx +port %PORT% +sv_lan 0 +maxplayers %MAXPLAYERS% +map %MAP% +exec server.cfg
echo (%time%) ОШИБКА: hlds закрылся или упал, перезапускаю ...
goto hlds